/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.TipoPuntoVentaDAO;
import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import com.rjconsultores.ventaboletos.service.TipoPuntoVentaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Administrador
 */
@Service("tipoPuntoVentaService")
public class TipoPuntoVentaServiceImpl implements TipoPuntoVentaService {

    @Autowired
    private TipoPuntoVentaDAO tipoPuntoVentaDAO;

    public List<TipoPuntoVenta> obtenerTodos() {
        return tipoPuntoVentaDAO.obtenerTodos();
    }

    public TipoPuntoVenta obtenerID(Short id) {
        return tipoPuntoVentaDAO.obtenerID(id);
    }

    @Transactional
    public TipoPuntoVenta suscribir(TipoPuntoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoPuntoVentaDAO.suscribir(entidad);
    }

    @Transactional
    public TipoPuntoVenta actualizacion(TipoPuntoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return tipoPuntoVentaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(TipoPuntoVenta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        tipoPuntoVentaDAO.actualizacion(entidad);
    }

    public List<TipoPuntoVenta> buscar(String desctipo) {
        return tipoPuntoVentaDAO.buscar(desctipo);
    }

	@Override
	public List<TipoPuntoVenta> obtenerTodosExceto(Short... id) {
		return tipoPuntoVentaDAO.obtenerTodosExceto(id);
	}
}
